"""
URL configuration for polisplexity project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

admin.site.site_header = "Polisplexity City Technologies"
admin.site.site_title = "Polisplexity Admin Portal"
admin.site.index_title = "Welcome to Polisplexity City Technologies Portal"

urlpatterns = [
    path("admin/", admin.site.urls),
    path('', include('pxy_dashboard.urls')),
    path('', include('core.urls')),
    path('', include('pxy_city_digital_twins.urls')),
    path('pxy_whatsapp/', include('pxy_whatsapp.urls')),
    path('bots/', include('pxy_bots.urls')),  # Webhook URL: /bots/webhook/<bot_name>/
    path('pxy_meta_pages/', include('pxy_meta_pages.urls', namespace='pxy_meta_pages')),
    
]

if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)